//
//  NANetDevice.h
//  NetAudioIF
//
//  Created by novi on 平成21/10/16.
//  Copyright 2009 novi. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class ONTCPSocket;

@interface NANetDevice : NSObject {
	NSUInteger m_timeout;
	NSData* m_data;
	
	BOOL	m_dataSendError;
	BOOL	m_isDataSendRunning;
	BOOL	m_dataSendThreadAlive;
	
	NSUInteger m_dataSendBytes;
	
	BOOL	m_deviceOLEDPower;
	UInt8	m_deviceVolume;
	
	ONTCPSocket* m_tcpServer;
	BOOL	m_tcpServerAlive;
}


+ (id)sharedDevice;

- (void)startDevice:(id)sender;
- (BOOL)dataSendStart;
- (void)dataSendStop;

- (void)sendOLEDData:(NSData*)data;


- (void)_sendCommand:(UInt8)type subtype:(UInt8)st data:(NSData*)data;

@property (assign, readonly) NSUInteger timeout;
@property (assign, readonly) NSUInteger dataSendBytes;
@property (copy) NSData* data;

@property (assign) BOOL deviceOLEDPower;
@property (assign) UInt8 deviceVolume;


NSString* keyDeviceDataPort;
NSString* keyDeviceCommandPort;
NSString* keyDeviceIPAddress;
NSString* keyServerDataPort;

@end
